Updates the skill with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
skill| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the skill |
string |
Required Max length: 255 |
| description |
Description of the skill |
string |
Max length: 4000 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "638e1ad1-9bf6-4828-b626-620ad6016784",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "0e43359a-ece3-4251-bb1b-4f7947ad1a3a",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "1da42aa9-7fbe-476c-a574-f2c1b4978691",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "30017401-ab84-456f-9a20-38670d24e655",
"db_currency_id": "2cf41487-a570-4e1b-856a-0c15913870af",
"db_language_id": "1fc5b65a-8bad-4c63-8e1a-ee682bee4ee1",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-02-25T09:59:38.6147255+00:00"
},
"modified_dateutc": "2026-02-25T09:59:38.6147255+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.